# MeshTextureFace(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MeshTextureFace`(bpy_struct)

  UV map and image texture for a face

  `image`

    Type: | `Image`

  `uv`

    Type: | float array of 8 items in [-inf, inf], default (0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0)

  `uv1`

    Type: | float array of 2 items in [-inf, inf], default (0.0, 0.0)

  `uv2`

    Type: | float array of 2 items in [-inf, inf], default (0.0, 0.0)

  `uv3`

    Type: | float array of 2 items in [-inf, inf], default (0.0, 0.0)

  `uv4`

    Type: | float array of 2 items in [-inf, inf], default (0.0, 0.0)

  `uv_raw`

    Fixed size UV coordinates array

    Type: | float array of 8 items in [-inf, inf], default (0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`MeshTextureFaceLayer.data` |